Freeciv-3.3: packet_ruleset_unit Struct Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Data Fields
packet_ruleset_unit Struct Reference

`#include <packets_gen.h>`

## Data Fields

Unit_type_id | id
char | name [MAX_LEN_NAME]
char | rule_name [MAX_LEN_NAME]
char | graphic_str [MAX_LEN_NAME]
char | graphic_alt [MAX_LEN_NAME]
char | graphic_alt2 [MAX_LEN_NAME]
char | sound_move [MAX_LEN_NAME]
char | sound_move_alt [MAX_LEN_NAME]
char | sound_fight [MAX_LEN_NAME]
char | sound_fight_alt [MAX_LEN_NAME]
int | unit_class_id
int | build_cost
int | pop_cost
int | attack_strength
int | defense_strength
int | move_rate
int | build_reqs_count
struct requirement | build_reqs [MAX_NUM_REQS]
int | vision_radius_sq
int | transport_capacity
int | hp
int | firepower
int | obsoleted_by
int | converted_to
int | convert_time
int | fuel
int | happy_cost
int | upkeep [O_LAST]
int | paratroopers_range
int | veteran_levels
char | veteran_name [MAX_VET_LEVELS][MAX_LEN_NAME]
int | power_fact [MAX_VET_LEVELS]
int | move_bonus [MAX_VET_LEVELS]
int | base_raise_chance [MAX_VET_LEVELS]
int | work_raise_chance [MAX_VET_LEVELS]
int | bombard_rate
int | city_size
int | city_slots
enum transp_def_type | tp_defense
bv_unit_classes | cargo
bv_unit_classes | targets
bv_unit_classes | embarks
bv_unit_classes | disembarks
enum vision_layer | vlayer
struct strvec * | helptext
bv_unit_type_flags | flags
bv_unit_type_roles | roles
bool | worker

## Detailed Description

Definition at line 951 of file packets_gen.h.

## Field Documentation

## ◆ attack_strength

int packet_ruleset_unit::attack_strength

Definition at line 965 of file packets_gen.h.

Referenced by handle_ruleset_unit(), receive_packet_ruleset_unit_100(), send_packet_ruleset_unit_100(), and send_ruleset_units().

## ◆ base_raise_chance

int packet_ruleset_unit::base_raise_chance[MAX_VET_LEVELS]

Definition at line 985 of file packets_gen.h.

Referenced by handle_ruleset_unit(), receive_packet_ruleset_unit_100(), send_packet_ruleset_unit_100(), and send_ruleset_units().

## ◆ bombard_rate

int packet_ruleset_unit::bombard_rate

Definition at line 987 of file packets_gen.h.

Referenced by handle_ruleset_unit(), receive_packet_ruleset_unit_100(), send_packet_ruleset_unit_100(), and send_ruleset_units().

## ◆ build_cost

int packet_ruleset_unit::build_cost

Definition at line 963 of file packets_gen.h.

Referenced by handle_ruleset_unit(), receive_packet_ruleset_unit_100(), send_packet_ruleset_unit_100(), and send_ruleset_units().

## ◆ build_reqs

struct requirement packet_ruleset_unit::build_reqs[MAX_NUM_REQS]

Definition at line 969 of file packets_gen.h.

Referenced by handle_ruleset_unit(), receive_packet_ruleset_unit_100(), send_packet_ruleset_unit_100(), and send_ruleset_units().

## ◆ build_reqs_count

int packet_ruleset_unit::build_reqs_count

Definition at line 968 of file packets_gen.h.

Referenced by handle_ruleset_unit(), receive_packet_ruleset_unit_100(), send_packet_ruleset_unit_100(), and send_ruleset_units().

## ◆ cargo

bv_unit_classes packet_ruleset_unit::cargo

Definition at line 991 of file packets_gen.h.

Referenced by handle_ruleset_unit(), receive_packet_ruleset_unit_100(), send_packet_ruleset_unit_100(), and send_ruleset_units().

## ◆ city_size

int packet_ruleset_unit::city_size

Definition at line 988 of file packets_gen.h.

Referenced by handle_ruleset_unit(), receive_packet_ruleset_unit_100(), send_packet_ruleset_unit_100(), and send_ruleset_units().

## ◆ city_slots

int packet_ruleset_unit::city_slots

Definition at line 989 of file packets_gen.h.

Referenced by handle_ruleset_unit(), receive_packet_ruleset_unit_100(), send_packet_ruleset_unit_100(), and send_ruleset_units().

## ◆ convert_time

int packet_ruleset_unit::convert_time

Definition at line 976 of file packets_gen.h.

Referenced by handle_ruleset_unit(), receive_packet_ruleset_unit_100(), send_packet_ruleset_unit_100(), and send_ruleset_units().

## ◆ converted_to

int packet_ruleset_unit::converted_to

Definition at line 975 of file packets_gen.h.

Referenced by handle_ruleset_unit(), receive_packet_ruleset_unit_100(), send_packet_ruleset_unit_100(), and send_ruleset_units().

## ◆ defense_strength

int packet_ruleset_unit::defense_strength

Definition at line 966 of file packets_gen.h.

Referenced by handle_ruleset_unit(), receive_packet_ruleset_unit_100(), send_packet_ruleset_unit_100(), and send_ruleset_units().

## ◆ disembarks

bv_unit_classes packet_ruleset_unit::disembarks

Definition at line 994 of file packets_gen.h.

Referenced by handle_ruleset_unit(), receive_packet_ruleset_unit_100(), send_packet_ruleset_unit_100(), and send_ruleset_units().

## ◆ embarks

bv_unit_classes packet_ruleset_unit::embarks

Definition at line 993 of file packets_gen.h.

Referenced by handle_ruleset_unit(), receive_packet_ruleset_unit_100(), send_packet_ruleset_unit_100(), and send_ruleset_units().

## ◆ firepower

int packet_ruleset_unit::firepower

Definition at line 973 of file packets_gen.h.

Referenced by handle_ruleset_unit(), receive_packet_ruleset_unit_100(), send_packet_ruleset_unit_100(), and send_ruleset_units().

## ◆ flags

bv_unit_type_flags packet_ruleset_unit::flags

Definition at line 997 of file packets_gen.h.

Referenced by handle_ruleset_unit(), receive_packet_ruleset_unit_100(), send_packet_ruleset_unit_100(), and send_ruleset_units().

## ◆ fuel

int packet_ruleset_unit::fuel

Definition at line 977 of file packets_gen.h.

Referenced by handle_ruleset_unit(), receive_packet_ruleset_unit_100(), send_packet_ruleset_unit_100(), and send_ruleset_units().

## ◆ graphic_alt

char packet_ruleset_unit::graphic_alt[MAX_LEN_NAME]

Definition at line 956 of file packets_gen.h.

Referenced by handle_ruleset_unit(), receive_packet_ruleset_unit_100(), send_packet_ruleset_unit_100(), and send_ruleset_units().

## ◆ graphic_alt2

char packet_ruleset_unit::graphic_alt2[MAX_LEN_NAME]

Definition at line 957 of file packets_gen.h.

Referenced by handle_ruleset_unit(), receive_packet_ruleset_unit_100(), send_packet_ruleset_unit_100(), and send_ruleset_units().

## ◆ graphic_str

char packet_ruleset_unit::graphic_str[MAX_LEN_NAME]

Definition at line 955 of file packets_gen.h.

Referenced by handle_ruleset_unit(), receive_packet_ruleset_unit_100(), send_packet_ruleset_unit_100(), and send_ruleset_units().

## ◆ happy_cost

int packet_ruleset_unit::happy_cost

Definition at line 978 of file packets_gen.h.

Referenced by handle_ruleset_unit(), receive_packet_ruleset_unit_100(), send_packet_ruleset_unit_100(), and send_ruleset_units().

## ◆ helptext

struct strvec* packet_ruleset_unit::helptext

Definition at line 996 of file packets_gen.h.

Referenced by free_packet_ruleset_unit(), handle_ruleset_unit(), init_packet_ruleset_unit(), receive_packet_ruleset_unit_100(), send_packet_ruleset_unit_100(), and send_ruleset_units().

## ◆ hp

int packet_ruleset_unit::hp

Definition at line 972 of file packets_gen.h.

Referenced by handle_ruleset_unit(), receive_packet_ruleset_unit_100(), send_packet_ruleset_unit_100(), and send_ruleset_units().

## ◆ id

Unit_type_id packet_ruleset_unit::id

Definition at line 952 of file packets_gen.h.

Referenced by handle_ruleset_unit(), receive_packet_ruleset_unit_100(), send_packet_ruleset_unit_100(), and send_ruleset_units().

## ◆ move_bonus

int packet_ruleset_unit::move_bonus[MAX_VET_LEVELS]

Definition at line 984 of file packets_gen.h.

Referenced by handle_ruleset_unit(), receive_packet_ruleset_unit_100(), send_packet_ruleset_unit_100(), and send_ruleset_units().

## ◆ move_rate

int packet_ruleset_unit::move_rate

Definition at line 967 of file packets_gen.h.

Referenced by handle_ruleset_unit(), receive_packet_ruleset_unit_100(), send_packet_ruleset_unit_100(), and send_ruleset_units().

## ◆ name

char packet_ruleset_unit::name[MAX_LEN_NAME]

Definition at line 953 of file packets_gen.h.

Referenced by handle_ruleset_unit(), receive_packet_ruleset_unit_100(), send_packet_ruleset_unit_100(), and send_ruleset_units().

## ◆ obsoleted_by

int packet_ruleset_unit::obsoleted_by

Definition at line 974 of file packets_gen.h.

Referenced by handle_ruleset_unit(), receive_packet_ruleset_unit_100(), send_packet_ruleset_unit_100(), and send_ruleset_units().

## ◆ paratroopers_range

int packet_ruleset_unit::paratroopers_range

Definition at line 980 of file packets_gen.h.

Referenced by handle_ruleset_unit(), receive_packet_ruleset_unit_100(), send_packet_ruleset_unit_100(), and send_ruleset_units().

## ◆ pop_cost

int packet_ruleset_unit::pop_cost

Definition at line 964 of file packets_gen.h.

Referenced by handle_ruleset_unit(), receive_packet_ruleset_unit_100(), send_packet_ruleset_unit_100(), and send_ruleset_units().

## ◆ power_fact

int packet_ruleset_unit::power_fact[MAX_VET_LEVELS]

Definition at line 983 of file packets_gen.h.

Referenced by handle_ruleset_unit(), receive_packet_ruleset_unit_100(), send_packet_ruleset_unit_100(), and send_ruleset_units().

## ◆ roles

bv_unit_type_roles packet_ruleset_unit::roles

Definition at line 998 of file packets_gen.h.

Referenced by handle_ruleset_unit(), receive_packet_ruleset_unit_100(), send_packet_ruleset_unit_100(), and send_ruleset_units().

## ◆ rule_name

char packet_ruleset_unit::rule_name[MAX_LEN_NAME]

Definition at line 954 of file packets_gen.h.

Referenced by handle_ruleset_unit(), receive_packet_ruleset_unit_100(), send_packet_ruleset_unit_100(), and send_ruleset_units().

## ◆ sound_fight

char packet_ruleset_unit::sound_fight[MAX_LEN_NAME]

Definition at line 960 of file packets_gen.h.

Referenced by handle_ruleset_unit(), receive_packet_ruleset_unit_100(), send_packet_ruleset_unit_100(), and send_ruleset_units().

## ◆ sound_fight_alt

char packet_ruleset_unit::sound_fight_alt[MAX_LEN_NAME]

Definition at line 961 of file packets_gen.h.

Referenced by handle_ruleset_unit(), receive_packet_ruleset_unit_100(), send_packet_ruleset_unit_100(), and send_ruleset_units().

## ◆ sound_move

char packet_ruleset_unit::sound_move[MAX_LEN_NAME]

Definition at line 958 of file packets_gen.h.

Referenced by handle_ruleset_unit(), receive_packet_ruleset_unit_100(), send_packet_ruleset_unit_100(), and send_ruleset_units().

## ◆ sound_move_alt

char packet_ruleset_unit::sound_move_alt[MAX_LEN_NAME]

Definition at line 959 of file packets_gen.h.

Referenced by handle_ruleset_unit(), receive_packet_ruleset_unit_100(), send_packet_ruleset_unit_100(), and send_ruleset_units().

## ◆ targets

bv_unit_classes packet_ruleset_unit::targets

Definition at line 992 of file packets_gen.h.

Referenced by handle_ruleset_unit(), receive_packet_ruleset_unit_100(), send_packet_ruleset_unit_100(), and send_ruleset_units().

## ◆ tp_defense

enum transp_def_type packet_ruleset_unit::tp_defense

Definition at line 990 of file packets_gen.h.

Referenced by handle_ruleset_unit(), receive_packet_ruleset_unit_100(), send_packet_ruleset_unit_100(), and send_ruleset_units().

## ◆ transport_capacity

int packet_ruleset_unit::transport_capacity

Definition at line 971 of file packets_gen.h.

Referenced by handle_ruleset_unit(), receive_packet_ruleset_unit_100(), send_packet_ruleset_unit_100(), and send_ruleset_units().

## ◆ unit_class_id

int packet_ruleset_unit::unit_class_id

Definition at line 962 of file packets_gen.h.

Referenced by handle_ruleset_unit(), receive_packet_ruleset_unit_100(), send_packet_ruleset_unit_100(), and send_ruleset_units().

## ◆ upkeep

int packet_ruleset_unit::upkeep[O_LAST]

Definition at line 979 of file packets_gen.h.

Referenced by handle_ruleset_unit(), receive_packet_ruleset_unit_100(), send_packet_ruleset_unit_100(), and send_ruleset_units().

## ◆ veteran_levels

int packet_ruleset_unit::veteran_levels

Definition at line 981 of file packets_gen.h.

Referenced by handle_ruleset_unit(), receive_packet_ruleset_unit_100(), send_packet_ruleset_unit_100(), and send_ruleset_units().

## ◆ veteran_name

char packet_ruleset_unit::veteran_name[MAX_VET_LEVELS][MAX_LEN_NAME]

Definition at line 982 of file packets_gen.h.

Referenced by handle_ruleset_unit(), receive_packet_ruleset_unit_100(), send_packet_ruleset_unit_100(), and send_ruleset_units().

## ◆ vision_radius_sq

int packet_ruleset_unit::vision_radius_sq

Definition at line 970 of file packets_gen.h.

Referenced by handle_ruleset_unit(), receive_packet_ruleset_unit_100(), send_packet_ruleset_unit_100(), and send_ruleset_units().

## ◆ vlayer

enum vision_layer packet_ruleset_unit::vlayer

Definition at line 995 of file packets_gen.h.

Referenced by handle_ruleset_unit(), receive_packet_ruleset_unit_100(), send_packet_ruleset_unit_100(), and send_ruleset_units().

## ◆ work_raise_chance

int packet_ruleset_unit::work_raise_chance[MAX_VET_LEVELS]

Definition at line 986 of file packets_gen.h.

Referenced by handle_ruleset_unit(), receive_packet_ruleset_unit_100(), send_packet_ruleset_unit_100(), and send_ruleset_units().

## ◆ worker

bool packet_ruleset_unit::worker

Definition at line 999 of file packets_gen.h.

Referenced by handle_ruleset_unit(), receive_packet_ruleset_unit_100(), send_packet_ruleset_unit_100(), and send_ruleset_units().